/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package fr.dudie.onebusaway.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author Olivier Boudet
 */
public class StopSchedule {

    private Date date;

    private Stop stop;

    /** List of stop times for the route and the stop. */
    private final List<ScheduleStopTime> stopTimes;

    public StopSchedule() {

        stopTimes = new ArrayList<ScheduleStopTime>();
    }

    /**
     * Gets the date.
     * 
     * @return the date
     */
    public Date getDate() {

        return date;
    }

    /**
     * Sets the date.
     * 
     * @param date
     *            the date to set
     */
    public void setDate(final Date date) {

        this.date = date;
    }

    /**
     * Gets the stop.
     * 
     * @return the stop
     */
    public Stop getStop() {

        return stop;
    }

    /**
     * Sets the stop.
     * 
     * @param stop
     *            the stop to set
     */
    public void setStop(final Stop stop) {

        this.stop = stop;
    }

    /**
     * Gets the stopTimes.
     * 
     * @return the stopTimes
     */
    public List<ScheduleStopTime> getStopTimes() {

        return stopTimes;
    }

    /*
     * (non-javadoc)
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {

        final StringBuilder builder = new StringBuilder();
        builder.append("StopSchedule [date=");
        builder.append(date);
        builder.append(", stop=");
        builder.append(stop);
        builder.append(", stopTimes=");
        builder.append(stopTimes);
        builder.append("]");
        return builder.toString();
    }

}
